# Asterisk Project : Asterisk 13 Function_ODBC

Created by wikibot on Aug 08, 2014

# ODBC()

### Synopsis

Controls ODBC transaction properties.

### Description

The ODBC() function allows setting several properties to influence how a connected database processes transactions.

### Syntax

    ODBC(property[,argument])

##### Arguments

- `property`
  - `transaction` - Gets or sets the active transaction ID. If set, and the transaction ID does not exist and a database name is specified as an argument, it will be created.
  - `forcecommit` - Controls whether a transaction will be automatically committed when the channel hangs up. Defaults to false. If a transaction ID is specified in the optional argument, the property will be applied to that ID, otherwise to the current active ID.
  - `isolation` - Controls the data isolation on uncommitted transactions. May be one of the following: `read_committed`, `read_uncommitted`, `repeatable_read`, or `serializable`. Defaults to the database setting in `res_odbc.conf` or `read_committed` if not specified. If a transaction ID is specified as an optional argument, it will be applied to that ID, otherwise the current active ID.
- `argument`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538